# __gnu_cxx::_SortedAssociativeContainerConcept< _SortedAssociativeContainer > Struct Template Reference

List of all members.

## Detailed Description

### template<class _SortedAssociativeContainer>
struct __gnu_cxx::_SortedAssociativeContainerConcept< _SortedAssociativeContainer >

Definition at line 883 of file boost_concept_check.h.

## Public Types

- typedef _SortedAssociativeContainer::const_iterator _Const_iterator
- typedef _SortedAssociativeContainer::iterator _Iterator

## Public Member Functions

- void __const_constraints (const _SortedAssociativeContainer &__c)
- void __constraints ()

## Public Attributes

- _Const_iterator __cp
- std::pair< _Const_iterator,
  _Const_iterator > __cr
- _SortedAssociativeContainer::value_type * __first
- _SortedAssociativeContainer::key_type __k
- _SortedAssociativeContainer::key_compare __kc
- _SortedAssociativeContainer::value_type * __last
- _Iterator __p
- std::pair< _Iterator, _Iterator > __r
- _SortedAssociativeContainer::value_type __t
- _SortedAssociativeContainer::value_compare __vc

The documentation for this struct was generated from the following file:

- boost_concept_check.h